GDB (xrefs)

Public Attributes | List of all members
darwin_thread_info Struct Reference

`#include "darwin-nat.h"`

Inheritance diagram for darwin_thread_info:

## Public Attributes
thread_t | gdb_port
thread_t | inf_port
enum darwin_msg_state | msg_state
unsigned char | single_step
unsigned char | signaled
struct darwin_exception_msg | event

## Additional Inherited Members
Public Member Functions inherited from private_thread_info
virtual | ~private_thread_info ()=0

## Detailed Description

Definition at line 73 of file darwin-nat.h.

## Member Data Documentation

## ◆ event

struct darwin_exception_msg darwin_thread_info::event

Definition at line 94 of file darwin-nat.h.

Referenced by darwin_decode_exception_message(), darwin_decode_message(), darwin_resume_thread(), darwin_send_reply(), and darwin_wait().

## ◆ gdb_port

thread_t darwin_thread_info::gdb_port

Definition at line 76 of file darwin-nat.h.

Referenced by darwin_check_new_threads(), darwin_deallocate_threads(), darwin_decode_message(), darwin_find_thread(), darwin_get_ada_task_ptid(), darwin_resume_thread(), darwin_setup_fake_stop_event(), darwin_suspend_inferior_threads(), darwin_wait(), info_mach_ports_command(), and thread_info_from_private_thread_info().

## ◆ inf_port

thread_t darwin_thread_info::inf_port

Definition at line 80 of file darwin-nat.h.

Referenced by darwin_get_ada_task_ptid().

## ◆ msg_state

enum darwin_msg_state darwin_thread_info::msg_state

Definition at line 85 of file darwin-nat.h.

Referenced by darwin_check_new_threads(), darwin_decode_exception_message(), darwin_decode_message(), darwin_reply_to_all_pending_messages(), darwin_resume_thread(), darwin_suspend_inferior_threads(), and darwin_wait().

## ◆ signaled

unsigned char darwin_thread_info::signaled

Definition at line 91 of file darwin-nat.h.

Referenced by darwin_decode_message(), and darwin_resume_thread().

## ◆ single_step

unsigned char darwin_thread_info::single_step

Definition at line 88 of file darwin-nat.h.

Referenced by darwin_resume_thread(), and darwin_wait().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/darwin-nat.h